aspose file tools*
The moose likes Struts and the fly likes Struts with Eclipse Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Frameworks » Struts
Bookmark "Struts with Eclipse" Watch "Struts with Eclipse" New topic
Author

Struts with Eclipse

Priety Sharma
Ranch Hand

Joined: Jun 10, 2008
Posts: 156

Hi,

I am using Eclipse 3.3.
I want to create a web application and use Struts as the framework.

I am downloading Struts 2.0.11 for use with eclipse.

Are there any compatibility issues with the Eclipse and the Struts versions mentioned?

I am using the following link to use Easy Struts with Eclipse:
http://www.ibm.com/developerworks/opensource/library/os-ecstruts/
"Developing Struts with Easy Struts for Eclipse"

Regards,
Priety.


Priety.
Merrill Higginson
Ranch Hand

Joined: Feb 15, 2005
Posts: 4864
Note that the date of the article you're looking at is April 2004, which is way too old to be of any use here. The Easy Struts plugin home page has listed it as being "under refactoring" for at least a couple of years. Even if the plugin were still around, it would be useless to you because it was for Struts 1, and you're developing in Struts 2, which is a completely different Framework.

If you downloaded the version of Eclipse 3.3 that's for Java EE developers, you already have everything you need to develop Struts 2 applications. To get started, just import the struts-blank-2.0.11.war file that comes with the Struts 2 download into your workspace.


Merrill
Consultant, Sima Solutions
Priety Sharma
Ranch Hand

Joined: Jun 10, 2008
Posts: 156

Hi Merrill,

Thanks for the reply.
I will try to use struts as you have mentioned.

May have to trouble you again with some questions.

Regards,
Priety.
 
With a little knowledge, a cast iron skillet is non-stick and lasts a lifetime.
 
subject: Struts with Eclipse